Bug 1247361 (CVE-2015-5477) - CVE-2015-5477 bind: TKEY query handling flaw leading to denial of service
Summary: CVE-2015-5477 bind: TKEY query handling flaw leading to denial of service
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-5477
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1247369 1247370 1247371 1247372 1247373 1247374 1247754 1247755 1300758 1300760 1300761
Blocks: 1247362
TreeView+ depends on / blocked
 
Reported: 2015-07-27 20:07 UTC by Martin Prpič
Modified: 2019-09-29 13:35 UTC (History)
7 users (show)

Fixed In Version: bind 9.9.7-P2, bind 9.10.2-P3
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way BIND handled requests for TKEY DNS resource records. A remote attacker could use this flaw to make named (functioning as an authoritative DNS server or a DNS resolver) exit unexpectedly with an assertion failure via a specially crafted DNS request packet.
Clone Of:
Environment:
Last Closed: 2015-07-29 00:44:06 UTC


Attachments (Terms of Use)
bind99-CVE-2015-5477.patch (511 bytes, patch)
2015-07-27 20:39 UTC, Florian Weimer
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1513 normal SHIPPED_LIVE Important: bind security update 2015-07-29 04:32:23 UTC
Red Hat Product Errata RHSA-2015:1514 normal SHIPPED_LIVE Important: bind security update 2015-07-29 02:59:26 UTC
Red Hat Product Errata RHSA-2015:1515 normal SHIPPED_LIVE Important: bind97 security update 2015-07-29 02:53:56 UTC
Red Hat Product Errata RHSA-2016:0078 normal SHIPPED_LIVE Important: bind security update 2016-01-28 18:27:03 UTC
Red Hat Product Errata RHSA-2016:0079 normal SHIPPED_LIVE Important: bind security update 2016-01-28 18:45:17 UTC

Description Martin Prpič 2015-07-27 20:07:11 UTC
The following flaw, reported by ISC, was found in all versions of BIND 9 (from, and including, 9.1.0):

An error in the handling of TKEY queries can be exploited by an attacker for use as a denial-of-service vector, as a constructed packet can use the defect to trigger a REQUIRE assertion failure, causing BIND to exit.

Both recursive and authoritative servers are vulnerable to this defect. Additionally, exposure is not prevented by either ACLs or configuration options limiting or denying service because the exploitable code occurs early in the packet handling, before checks enforcing those boundaries.

This flaw is fixed in upstream versions 9.9.7-P2 and 9.10.2-P3.

Acknowledgements:

Red Hat would like to thank ISC for reporting this issue. Upstream acknowledges Jonathan Foote as the original reporter.

Comment 6 Florian Weimer 2015-07-27 20:39:15 UTC
Created attachment 1056756 [details]
bind99-CVE-2015-5477.patch

Patch provided by upstream

Comment 11 Tomas Hoger 2015-07-28 18:50:24 UTC
Public now via upstream security advisory.

External References:

https://kb.isc.org/article/AA-01272
https://access.redhat.com/solutions/1548963

Comment 12 Tomas Hoger 2015-07-28 18:53:51 UTC
Created bind99 tracking bugs for this issue:

Affects: fedora-22 [bug 1247755]

Comment 13 Tomas Hoger 2015-07-28 18:55:23 UTC
Created bind tracking bugs for this issue:

Affects: fedora-all [bug 1247754]

Comment 14 Vincent Danen 2015-07-28 20:39:38 UTC
Statement:

(none)

Comment 16 errata-xmlrpc 2015-07-28 22:54:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:1515 https://rhn.redhat.com/errata/RHSA-2015-1515.html

Comment 17 errata-xmlrpc 2015-07-28 23:00:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:1514 https://rhn.redhat.com/errata/RHSA-2015-1514.html

Comment 18 errata-xmlrpc 2015-07-29 00:32:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1513 https://rhn.redhat.com/errata/RHSA-2015-1513.html

Comment 19 Fedora Update System 2015-08-01 02:25:36 UTC
bind-9.10.2-4.P3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-08-01 02:25:57 UTC
bind-9.9.6-10.P1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-08-01 02:27:23 UTC
bind99-9.9.7-6.P2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 web 2015-08-03 10:50:35 UTC
(In reply to Vincent Danen from comment #14)
> Statement:
> 
> This issue affected the versions of bind as shipped with Red Hat Enterprise
> Linux 4, 5, 6 and 7, and the versions of bind97 as shipped with Red Hat
> Enterprise Linux 5.

This is an important security update.

When are the updated packages for RHEL 4 ELS going to be released?

Thanks.

Comment 29 errata-xmlrpc 2016-01-28 13:27:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 AUS - Server Only
  Red Hat Enterprise Linux 6.4 AUS - Server Only

Via RHSA-2016:0078 https://rhn.redhat.com/errata/RHSA-2016-0078.html

Comment 30 errata-xmlrpc 2016-01-28 13:45:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.6 EUS - Server and Compute Node Only

Via RHSA-2016:0079 https://rhn.redhat.com/errata/RHSA-2016-0079.html


Note You need to log in before you can comment on or make changes to this bug.